=== debian/changelog ===
lo-menubar (0.0.2-0ubuntu1) natty; urgency=low

  * Initial release (LP: #723155)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 24 Feb 2011 09:17:10 -0500
