=== debian/control ===
Source: lo-menubar
Section: libs
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               cdbs (>= 0.4.41),
               libdbusmenu-glib-dev,
               libstlport5.2-dev,
               libreoffice-dev
Standards-Version: 3.9.1
Homepage: https://launchpad.net/lo-menubar
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/lo-menubar/ubuntu

Package: lo-menubar
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libreoffice-gtk
Description: A LibreOffice extension for the global menubar
 A LibreOffice extension to send the menubar structure through DBusMenu.
