## lo-menubar 0.0.3

=== debian/changelog ===
lo-menubar (0.0.3-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Fixed handling of disabled and checkable menus broken in 
      libreoffice 3.3.1

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 08 Mar 2011 13:27:25 -0500

lo-menubar (0.0.2-0ubuntu2) natty; urgency=low

  * wscript
    - Don't check for stlport, we don't use it
  * debian/control
    - Dropped build depends for libstlport5.2-dev, we don't need it and fixes
      FTBFS on i386

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 01 Mar 2011 13:02:18 -0500
