=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Build-Depends: debhelper (>= 7.0.50~),
                cdbs (>= 0.4.41),
                libdbusmenu-glib-dev,
-               libstlport5.2-dev,
                libreoffice-dev
 Standards-Version: 3.9.1
 Homepage: https://launchpad.net/lo-menubar
