## lo-menubar 0.0.4

=== wscript ===
--- 
+++ 
@@ -3,7 +3,7 @@
 import platform
 
 APPNAME='lo-menubar'
-VERSION='0.0.2'
+VERSION='0.0.3'
 
 #-- OPTIONS --
 def options(opt):
@@ -41,11 +41,6 @@
 	                                        path_list=[Options.options.LO_PREFIX + '/basis3.3/program'],
 	                                        mandatory=True)
 	
-	#TODO: Check if linking against stlport in 64bits is actually a problem
-	stlport4 = conf.check_cxx(lib='stlport_gcc', uselib_store='STLPORTLIB', mandatory=False)
-	if not stlport4:
-		conf.check_cxx(lib='stlport', uselib_store='STLPORTLIB', mandatory=True)
-
 	conf.check_cfg(package='gio-2.0', uselib_store='GIO',
 	               atleast_version='2.26.0', args='--cflags --libs',
 	               mandatory=True)
@@ -59,10 +54,15 @@
 	types = ["com.sun.star.awt.WindowAttribute",
 				"com.sun.star.awt.KeyEvent",
 				"com.sun.star.awt.XMessageBox",
+				"com.sun.star.awt.XWindow2",
 				"com.sun.star.awt.XWindowPeer",
 				"com.sun.star.awt.XSystemDependentWindowPeer",
 				"com.sun.star.awt.SystemDependentXWindow",
+				"com.sun.star.awt.XMenu",
 				"com.sun.star.awt.XMenuBar",
+				"com.sun.star.awt.XMenuExtended",
+				"com.sun.star.awt.XPopupMenu",
+				"com.sun.star.awt.XPopupMenuExtended",
 				"com.sun.star.beans.NamedValue",
 				"com.sun.star.beans.PropertyValue",
 				"com.sun.star.beans.XPropertySet",
@@ -89,6 +89,10 @@
 				"com.sun.star.frame.XStorable",
 				"com.sun.star.frame.XStatusListener",
 				"com.sun.star.frame.XModuleManager",
+				"com.sun.star.frame.XStatusListener",
+				"com.sun.star.frame.FeatureStateEvent",
+				"com.sun.star.frame.FrameSearchFlag",
+				"com.sun.star.frame.status.Visibility",
 				"com.sun.star.lang.EventObject",
 				"com.sun.star.lang.XInitialization",
 				"com.sun.star.lang.XMultiServiceFactory",
@@ -114,6 +118,8 @@
 				"com.sun.star.uno.XAggregation",
 				"com.sun.star.uno.XComponentContext",
 				"com.sun.star.uno.XWeak",
+				"com.sun.star.util.URL",
+				"com.sun.star.util.XURLTransformer",
 				"com.sun.star.view.XSelectionSupplier",
 				"com.sun.star.task.XJob"]
 	
@@ -146,7 +152,7 @@
 	else:
 		lo_platform = "Linux_x86"
 	
-	bld.shlib(source='src/DesktopJob.cxx src/MyJob.cxx src/exports.cxx src/FrameHelper.cxx',
+	bld.shlib(source='src/DesktopJob.cxx src/FrameJob.cxx src/exports.cxx src/FrameHelper.cxx',
 	          target=target,
 	          uselib=['SALLIB', 'CPPULIB', 'CPPUHELPERLIB', 'GIO', 'DBUSMENU'],
 	          includes=includes,
@@ -180,5 +186,3 @@
 	for f in elements:
 		zipfile.write (f.abspath(), f.abspath()[count:])
 	zipfile.close ()
-	
-
