=== debian/changelog ===
lo-menubar (0.0.4-0ubuntu1) natty; urgency=low

  * New upstream release.
    - menus aren't loaded when opening a document (LP: #731534)

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 09 Mar 2011 09:38:36 -0500
