## lo-menubar 0.0.5

=== wscript ===
--- 
+++ 
@@ -3,7 +3,7 @@
 import platform
 
 APPNAME='lo-menubar'
-VERSION='0.0.3'
+VERSION='0.0.5'
 
 #-- OPTIONS --
 def options(opt):
@@ -90,6 +90,7 @@
 				"com.sun.star.frame.XStatusListener",
 				"com.sun.star.frame.XModuleManager",
 				"com.sun.star.frame.XStatusListener",
+				"com.sun.star.frame.XPopupMenuController",
 				"com.sun.star.frame.FeatureStateEvent",
 				"com.sun.star.frame.FrameSearchFlag",
 				"com.sun.star.frame.status.Visibility",
@@ -141,6 +142,7 @@
 	pattern = env['cxxshlib_PATTERN']
 	env['cxxshlib_PATTERN']	= '%s.uno' + env['cxxshlib_PATTERN'].split("%s")[-1]
 	env.append_value('LINKFLAGS', '-Wl,--version-script=%s/data/component.uno.map,-z origin' % bld.path.abspath())
+	env.append_value('CXXFLAGS', '-Wall')
 	env.append_value('CXXFLAGS', '-g')
 	
 	target = 'menubar'
