=== debian/changelog ===
lo-menubar (0.0.5-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Fixed some crashes and memory leaks while opening and 
      closing documents.

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 11 Mar 2011 13:55:14 -0500
