## lo-menubar 0.0.6

=== wscript ===
--- 
+++ 
@@ -3,7 +3,7 @@
 import platform
 
 APPNAME='lo-menubar'
-VERSION='0.0.5'
+VERSION='0.0.6'
 
 #-- OPTIONS --
 def options(opt):
@@ -46,13 +46,25 @@
 	               mandatory=True)
 
 	conf.check_cfg(package='dbusmenu-glib-0.4', uselib_store='DBUSMENU',
-	               atleast_version='0.3.96', args='--cflags --libs')
+	               atleast_version='0.3.99', args='--cflags --libs')	               
+	conf.check_cfg(package='dbusmenu-gtk-0.4', uselib_store='DBUSMENUGTK',
+	               atleast_version='0.3.99', args='--cflags --libs')
+	conf.check_cfg(package='gtk+-2.0', uselib_store='GTK',
+	               atleast_version='2.24.1', args='--cflags --libs')
+	conf.check_cfg(package='atk', uselib_store='ATK',
+	               atleast_version='1.33.6', args='--cflags --libs')
+	conf.check_cfg(package='gdk-pixbuf-2.0', uselib_store='GDKPIXBUF',
+	               atleast_version='2.23.0', args='--cflags --libs')
+	conf.check_cfg(package='gdk-2.0', uselib_store='GDK',
+	               atleast_version='2.24.1', args='--cflags --libs')
 def cppumaker (bld):
 	"""
 	This helper generates the C++ headers for the IDL of the classes used.
 	"""
 	types = ["com.sun.star.awt.WindowAttribute",
+				"com.sun.star.awt.Key",
 				"com.sun.star.awt.KeyEvent",
+				"com.sun.star.awt.KeyModifier",
 				"com.sun.star.awt.XMessageBox",
 				"com.sun.star.awt.XWindow2",
 				"com.sun.star.awt.XWindowPeer",
@@ -72,6 +84,8 @@
 				"com.sun.star.container.XNameAccess",
 				"com.sun.star.container.NoSuchElementException",
 				"com.sun.star.document.XEventBroadcaster",
+				"com.sun.star.document.XEventListener",
+				"com.sun.star.document.EventObject",
 				"com.sun.star.frame.ControlCommand",
 				"com.sun.star.frame.ControlEvent",
 				"com.sun.star.frame.DispatchDescriptor",
@@ -156,7 +170,7 @@
 	
 	bld.shlib(source='src/DesktopJob.cxx src/FrameJob.cxx src/exports.cxx src/FrameHelper.cxx',
 	          target=target,
-	          uselib=['SALLIB', 'CPPULIB', 'CPPUHELPERLIB', 'GIO', 'DBUSMENU'],
+	          uselib=['SALLIB', 'CPPULIB', 'CPPUHELPERLIB', 'GIO', 'DBUSMENU', 'DBUSMENUGTK', 'GDKPIXBUF', 'GTK', 'GDK', 'ATK'],
 	          includes=includes,
 	          defines=['UNX', 'SAL_UNX', 'CPPU_ENV=gcc3'],
 	          install_path='%s/share/extensions/%s/%s' % (Options.options.LO_PREFIX, target, lo_platform),
@@ -172,19 +186,21 @@
 	    
 	    
 	bld.install_files('%s/share/extensions/%s' % (Options.options.LO_PREFIX, target), bld.path.ant_glob('data/*.xcu'))
-	
+
+## Post installation trigger, doesn't work
 #	def post_install (ctx):
 #		if ctx.cmd != 'install':
 #			return
 #		ctx.exec_command ('/usr/lib/ure/bin/regcomp -register -wop="vnd.sun.star.expand:\$OOO_BASE_DIR/program/" -r /usr/lib/libreoffice/basis3.3/program/appmenu.rdb -c /usr/lib/libreoffice/basis3.3/program/%s.uno.so' % 'menubar')
-	
+#	
 #	bld.add_post_fun (post_install)
-	          
-def oxt (ctx):
-	from zipfile import ZipFile
-	zipfile = ZipFile('plugin.oxt', 'w')
-	count = len(ctx.path.abspath() + '/plugin/')
-	elements = ctx.path.ant_glob('plugin/**')
-	for f in elements:
-		zipfile.write (f.abspath(), f.abspath()[count:])
-	zipfile.close ()
+
+## Creating the OXT file
+#def oxt (ctx):
+#	from zipfile import ZipFile
+#	zipfile = ZipFile('plugin.oxt', 'w')
+	#count = len(ctx.path.abspath() + '/plugin/')
+#	elements = ctx.path.ant_glob('plugin/**')
+#	for f in elements:
+#		zipfile.write (f.abspath(), f.abspath()[count:])
+#	zipfile.close ()
