=== debian/changelog ===
lo-menubar (0.0.6-0ubuntu2) natty; urgency=low

  * debian/control
    - Added build-depends for libdbusmenu-gtk

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 14 Mar 2011 16:48:37 -0400

lo-menubar (0.0.6-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Shortcuts for entries are not present (LP: #720661)

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 14 Mar 2011 15:53:53 -0400
