=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~),
                cdbs (>= 0.4.41),
-               libdbusmenu-glib-dev,
+               libdbusmenu-glib-dev (>= 0.3.99),
+               libdbusmenu-gtk-dev (>= 0.3.99),
                libreoffice-dev
 Standards-Version: 3.9.1
 Homepage: https://launchpad.net/lo-menubar
