## lo-menubar 0.0.9

=== wscript ===
--- 
+++ 
@@ -3,7 +3,7 @@
 import platform
 
 APPNAME='lo-menubar'
-VERSION='0.0.6'
+VERSION='0.0.9'
 
 #-- OPTIONS --
 def options(opt):
@@ -56,7 +56,10 @@
 	conf.check_cfg(package='gdk-pixbuf-2.0', uselib_store='GDKPIXBUF',
 	               atleast_version='2.23.0', args='--cflags --libs')
 	conf.check_cfg(package='gdk-2.0', uselib_store='GDK',
-	               atleast_version='2.24.1', args='--cflags --libs')
+	               atleast_version='2.24.1', args='--cflags --libs')	               
+	conf.check_cfg(package='x11', uselib_store='X11', args='--cflags --libs')
+	conf.check_cfg(package='xproto', uselib_store='XPROTO', args='--cflags --libs')
+	 
 def cppumaker (bld):
 	"""
 	This helper generates the C++ headers for the IDL of the classes used.
@@ -168,9 +171,9 @@
 	else:
 		lo_platform = "Linux_x86"
 	
-	bld.shlib(source='src/DesktopJob.cxx src/FrameJob.cxx src/exports.cxx src/FrameHelper.cxx',
+	bld.shlib(source='src/DesktopJob.cxx src/FrameJob.cxx src/exports.cxx src/FrameHelper.cxx src/AwtKeyToDbusmenuString.cxx',
 	          target=target,
-	          uselib=['SALLIB', 'CPPULIB', 'CPPUHELPERLIB', 'GIO', 'DBUSMENU', 'DBUSMENUGTK', 'GDKPIXBUF', 'GTK', 'GDK', 'ATK'],
+	          uselib=['SALLIB', 'CPPULIB', 'CPPUHELPERLIB', 'GIO', 'DBUSMENU', 'DBUSMENUGTK', 'GDKPIXBUF', 'GTK', 'GDK', 'ATK', 'X11', 'XPROTO'],
 	          includes=includes,
 	          defines=['UNX', 'SAL_UNX', 'CPPU_ENV=gcc3'],
 	          install_path='%s/share/extensions/%s/%s' % (Options.options.LO_PREFIX, target, lo_platform),
