=== debian/changelog ===
lo-menubar (0.0.9-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Recent files commands do not get executed (LP: #735054)
    - Non alphanumeric (A-Z) shortcuts are not shown (LP: #731967)
  * debian/control
    - Added x11proto-core-dev and libx11-dev to build depends

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 17 Mar 2011 15:54:34 -0400
