## lo-menubar 0.1.0

=== wscript ===
--- 
+++ 
@@ -3,7 +3,7 @@
 import platform
 
 APPNAME='lo-menubar'
-VERSION='0.0.9'
+VERSION='0.1.0'
 
 #-- OPTIONS --
 def options(opt):
@@ -59,14 +59,16 @@
 	               atleast_version='2.24.1', args='--cflags --libs')	               
 	conf.check_cfg(package='x11', uselib_store='X11', args='--cflags --libs')
 	conf.check_cfg(package='xproto', uselib_store='XPROTO', args='--cflags --libs')
-	 
+
 def cppumaker (bld):
 	"""
 	This helper generates the C++ headers for the IDL of the classes used.
+	These headers are stored inside the build/lo/include directory.
 	"""
 	types = ["com.sun.star.awt.WindowAttribute",
 				"com.sun.star.awt.Key",
 				"com.sun.star.awt.KeyEvent",
+				"com.sun.star.awt.MenuEvent",
 				"com.sun.star.awt.KeyModifier",
 				"com.sun.star.awt.XMessageBox",
 				"com.sun.star.awt.XWindow2",
@@ -171,7 +173,13 @@
 	else:
 		lo_platform = "Linux_x86"
 	
-	bld.shlib(source='src/DesktopJob.cxx src/FrameJob.cxx src/exports.cxx src/FrameHelper.cxx src/AwtKeyToDbusmenuString.cxx',
+	bld.shlib(source=['src/DesktopJob.cxx',
+	                  'src/FrameJob.cxx',
+	                  'src/exports.cxx',
+	                  'src/FrameHelper.cxx',
+	                  'src/AwtKeyToDbusmenuString.cxx',
+	                  'src/MenuItemInfo.cxx',
+	                  'src/MenuItemStatusListener.cxx'],
 	          target=target,
 	          uselib=['SALLIB', 'CPPULIB', 'CPPUHELPERLIB', 'GIO', 'DBUSMENU', 'DBUSMENUGTK', 'GDKPIXBUF', 'GTK', 'GDK', 'ATK', 'X11', 'XPROTO'],
 	          includes=includes,
