=== debian/changelog ===
lo-menubar (0.1.0-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Fixed crash on Print Preview
    - Fixed crash on formula editting

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 21 Mar 2011 10:19:38 -0400
