=== debian/control ===
--- 
+++ 
@@ -6,7 +6,9 @@
                cdbs (>= 0.4.41),
                libdbusmenu-glib-dev (>= 0.3.99),
                libdbusmenu-gtk-dev (>= 0.3.99),
-               libreoffice-dev
+               libreoffice-dev,
+               x11proto-core-dev,
+               libx11-dev
 Standards-Version: 3.9.1
 Homepage: https://launchpad.net/lo-menubar
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/lo-menubar/ubuntu
