## lo-menubar 0.1.1

=== wscript ===
--- 
+++ 
@@ -3,7 +3,7 @@
 import platform
 
 APPNAME='lo-menubar'
-VERSION='0.1.0'
+VERSION='0.1.1'
 
 #-- OPTIONS --
 def options(opt):
@@ -24,21 +24,22 @@
 def configure(conf):
 	conf.load('compiler_cxx')
 	
-	uno_sdk_libpath = '%s/basis3.3/sdk/lib' % Options.options.LO_PREFIX
+	uno_sdk_libpath = '%s/sdk/lib' % Options.options.LO_PREFIX
 	
 	conf.check_cxx(lib='uno_sal', uselib_store='SALLIB', libpath=uno_sdk_libpath, mandatory=True)
 	conf.check_cxx(lib='uno_cppu', uselib_store='CPPULIB', libpath=uno_sdk_libpath, mandatory=True)
 	#conf.check_cc(lib='uno_salhelpergcc3', uselib_store='SALHELPERLIB',  mandatory=True)
 	conf.check_cxx(lib='uno_cppuhelpergcc3', uselib_store='CPPUHELPERLIB', libpath=uno_sdk_libpath,  mandatory=True)
-	
-	conf.find_program('cppumaker', var='CPPUMAKER', path_list=[Options.options.LO_PREFIX + '/basis3.3/sdk/bin'], mandatory=True)
+        conf.check_cxx(header_name='boost/scoped_ptr.hpp')
+	
+	conf.find_program('cppumaker', var='CPPUMAKER', path_list=[Options.options.LO_PREFIX + '/sdk/bin'], mandatory=True)
 
 	conf.env['TYPES_RDB'] = conf.find_file('types.rdb',
 	                                       path_list=[Options.options.URE_PREFIX + '/share/misc/'],
 	                                       mandatory=True)
 	
 	conf.env['OFFAPI_RDB'] = conf.find_file('offapi.rdb',
-	                                        path_list=[Options.options.LO_PREFIX + '/basis3.3/program'],
+	                                        path_list=[Options.options.LO_PREFIX + '/program/types'],
 	                                        mandatory=True)
 	
 	conf.check_cfg(package='gio-2.0', uselib_store='GIO',
