=== debian/changelog ===
lo-menubar (0.1.1-0ubuntu3) quantal; urgency=low

  * Change lo-menubar to a transitional package depending on libreoffice-gtk
    since libreoffice now ships a proper menubar; Drop all build-deps save for
    debhelper
    - update debian/control
  * Add empty install file so nothing is installed in this package
    - add debian/lo-menubar.install
  * Switch to dh rules.tiny style
    - update debian/rules

 -- Micah Gersten <micahg@ubuntu.com>  Fri, 05 Oct 2012 09:39:19 -0500

lo-menubar (0.1.1-0ubuntu2) quantal; urgency=low

  * Transition libboost1.46-dev -> libboost-dev

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 24 Aug 2012 20:58:36 +0100

lo-menubar (0.1.1-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * debian/watch
    - added
  * debian/control
    - bump standards version to 3.9.3
    - added build depends for libboost1.46-dev
  * debian/source/local-options
    - Use single-debian-patch to better handle VCS applied changes
  * waf
    - cherry picked unpacked waflib

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 10 May 2012 15:12:01 -0400

lo-menubar (0.1.0-0ubuntu4) precise; urgency=low

  * d/p/01-adapt-paths-for-libreoffice-3.5.patch: (LP: #935282)
    Libreoffice3.5 dropped the basis link, adjust the patch to fix FTBFS

 -- Andreas Moog <amoog@ubuntu.com>  Mon, 27 Feb 2012 21:22:59 +0100

lo-menubar (0.1.0-0ubuntu3) oneiric; urgency=low

  * Adapt to LibreOffice 3.4 paths to fix FTFBS - LP: #833889

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Wed, 31 Aug 2011 15:42:50 +0000

lo-menubar (0.1.0-0ubuntu2) oneiric; urgency=low

  * No change rebuild for libdbusmenu transition

 -- Angel Abad <angelabad@ubuntu.com>  Mon, 11 Jul 2011 13:40:46 +0200
