=== debian/control ===
Source: lo-menubar
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
Standards-Version: 3.9.3

Package: lo-menubar
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libreoffice-gtk
Description: LibreOffice extension for the global menubar (dummy package)
 This is an empty package to ensure proper upgrades to the new menubar in
 LibreOffice. You can remove this package.
