=== debian/watch ===
version=3
https://launchpad.net/lo-menubar/+download .*/lo-menubar-([0-9.]+)\.tar\.bz2
